/* Utilisation de types agrégés définis          */
/* dans une bibliothèque                         */

public class TestBibliotheque1 {
  
  public static void main(String [] args) {
    /* Utilisation du type Pos2D                 */
    /* de la bibliotheque Bibliotheque1          */
    Ecran.afficherln("Une position 2D");
    Bibliotheque1.Pos2D p = new Bibliotheque1.Pos2D();
    Ecran.afficherln(p.x," ",p.y);
    Ecran.sautDeLigne();
    /* Utilisation du type Dir2D                 */
    /* de la bibliotheque Bibliotheque1          */
    Ecran.afficherln("Une direction 2D");
    Bibliotheque1.Dir2D d = new Bibliotheque1.Dir2D();
    Ecran.afficherln(d.dx," ",d.dy);
  }
}